[Prev: STDOUT] | [Resources][TOC] | [Next: SUBJECTBEGIN]

# SUBJECTARTICLERXP

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  `M2H_SUBJECTARTICLERXP=`perl_regex

Element

  `<SUBJECTARTICLERXP>`
  perl_regex
  `</SUBJECTARTICLERXP>`

Command-line Option

  `-subjectarticlerxp perl_regex`

## Description

SUBJECTARTICLERXP defines the Perl regular expression matching leading articles (eg: "the", "a", "an") in subject text.

SUBJECTARTICLERXP is used by MHonArc for sorting. The regex defined is used in `s///` operation with the case-insensitive modifier. The regex should be anchored to the beginning of the string.

The SUBJECTARTICLERXP is normally changed to suit a particular locale.

## Default Setting

    ^(the|a|an)\s+

## Resource Variables

N/A

## Examples

If you are archiving French message, the following setting maybe appropriate:

    <SubjectArticleRxp>
    ^l(es|e|a)\s+
    </SubjectArticleRxp>

## Version

2.2.0

## See Also

SUBJECTREPLYRXP

[Prev: STDOUT] | [Resources][TOC] | [Next: SUBJECTBEGIN]